Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.symboltable
Interface TypeSet.Resolver

All Known Implementing Classes:
  TypeSet.CurrentPackageResolver, TypeSet.ExplicitImportResolver, TypeSet.FullyQualifiedNameResolver, TypeSet.ImplicitImportResolver, TypeSet.ImportOnDemandResolver, TypeSet.PrimitiveTypeResolver, TypeSet.VoidResolver

Enclosing interface:
  TypeSet

public static interface TypeSet.Resolver

TODO should Resolver provide a canResolve() and a resolve()? Requiring 2 calls seems clunky... but so does this throwing an exception for flow control...

Method Summary
`java.lang.Class` | `resolve(java.lang.String name)`

Method Detail

### resolve

    public java.lang.Class resolve(java.lang.String name)
                            throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.